package cn.com.qmth.mps.controller;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.util.ResouceUtil;
import cn.com.qmth.mps.vo.school.SchollDomain;
import cn.com.qmth.mps.vo.user.UserQuery;
import cn.com.qmth.mps.vo.user.UserVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "用户接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/user")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class UserController extends BaseController {

    @ApiOperation(value = "新增/修改")
    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public void svae(SchollDomain domain) {
    }
	
	@PostMapping("import")
	@ApiOperation(value = "导入")
	public void importPaper(@RequestParam Long schoolId, @RequestParam MultipartFile file) {
	}

	@ApiOperation(value = "下载导入模板")
	@PostMapping("template")
	public void getImportTemplate() {
		exportFile("用户导入模板.xlsx", ResouceUtil.getStream("importtemplates/absentManualImportTemplate.xlsx"));
	}

	@ApiOperation(value = "获取分页")
	@RequestMapping(value = "/page", method = RequestMethod.POST)
	public PageResult<UserVo> page(UserQuery query) {
		return null;
	}

	@ApiOperation(value = "获取信息")
	@RequestMapping(value = "/info", method = RequestMethod.POST)
	public UserVo info(@RequestParam Long id) {
		return null;
	}
    @ApiOperation(value = "启用/禁用")
    @RequestMapping(value = "/toggle", method = RequestMethod.POST)
    public void enable(@RequestParam List<Long> ids, @RequestParam Boolean enable) {
    }
}
