package cn.com.qmth.mps.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.vo.exam.ExamDomain;
import cn.com.qmth.mps.vo.exam.ExamQuery;
import cn.com.qmth.mps.vo.exam.ExamVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考试接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/exam")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class ExamController extends BaseController {

    @ApiOperation(value = "新增/修改")
    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public void svae(ExamDomain domain) {
    }

    @ApiOperation(value = "获取分页")
    @RequestMapping(value = "/page", method = RequestMethod.POST)
    public PageResult<ExamVo> page(ExamQuery query) {
        return null;
    }
    
    @ApiOperation(value = "获取未关闭列表")
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public PageResult<ExamVo> list() {
        return null;
    }
    
    @ApiOperation(value = "获取信息")
    @RequestMapping(value = "/info", method = RequestMethod.POST)
    public ExamVo info(@RequestParam Long id) {
        return null;
    }
    
}
