package cn.com.qmth.mps.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.qmth.mps.dao.UserDao;
import cn.com.qmth.mps.entity.UserEntity;
import cn.com.qmth.mps.service.UserService;

@Service
public class UserServiceImpl extends ServiceImpl<UserDao, UserEntity> implements UserService {

	private static final String[] EXCEL_HEADER = new String[] { "姓名", "登录名", "登陆密码", "角色名称", "课程代码", "课程名称", "审核权限" };

	@Override
	public UserEntity getByLoginName(String phone) {
		QueryWrapper<UserEntity> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<UserEntity> lw = wrapper.lambda();
		lw.eq(UserEntity::getLoginName, phone);
		return this.getOne(wrapper);
	}

}
